drop table lj_comments;

create table lj_comments
(
        lj_commentid int not null primary key,
        cid int, -- drupal comment id
        uid int, -- drupal user id (0 for authorized LJ user, -1 for anonymous)
        nid int, -- drupal node id
        lj_date timestamp,
        lj_jitemid int, -- journal entry id
        lj_parentid int, -- parent comment
        lj_state char(1), -- 'D' for deleted comments
        lj_poster text, -- or NULL for anonymous
        lj_subject text,
        lj_comment text
);

insert into lj_comments select lc.jtalkid as lj_commentid,lc.cid as cid, cc.uid as uid, cc.nid as nid,  TIMESTAMP 'epoch' +  cc.timestamp * INTERVAL '1 sec' as lj_date, ljxp.ljid as lj_jitemid, ljp.jtalkid as lj_parentid, ' ' as lj_state, CASE WHEN cc.uid = 0 THEN 'anonymous' ELSE 'user.livejournal.com' END as lj_poster, cc.subject as lj_subject, cc.comment as lj_comment from ljsync_comments lc join comments cc on lc.cid=cc.cid join ljxp_node ljxp on ljxp.nid = cc.nid left join ljsync_comments ljp on ljp.cid=cc.pid;
